DBRecordWithConstraints
Keywords: uk.ac.ic.doc.automed.util.db.DBRecordWithConstraints class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.util.db
Class DBRecordWithConstraints

    java.lang.Object
      uk.ac.ic.doc.automed.util.db.DBRecord
          uk.ac.ic.doc.automed.util.db.DBRecordWithConstraints

All Implemented Interfaces:
  java.io.Serializable

    public class DBRecordWithConstraints

extends DBRecord
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.util.db.DBRecord
`fields, row`

Constructor Summary
`DBRecordWithConstraints(ASG tableQuery, ASG tuple)` The order of fields is the same as in a record
`DBRecordWithConstraints(java.util.List fields, java.util.Vector row)` The order of fields is the same as in a record

Method Summary
`ASG` | `getQuery()` Return the definition query
`java.lang.String` | `toString()` print debug string

Methods inherited from class uk.ac.ic.doc.automed.util.db.DBRecord
`getDoubleValue, getIntegerValue, getStringValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DBRecordWithConstraints

    public DBRecordWithConstraints(java.util.List fields,
                                   java.util.Vector row)

  The order of fields is the same as in a record

### DBRecordWithConstraints

    public DBRecordWithConstraints(ASG tableQuery,
                                   ASG tuple)

  The order of fields is the same as in a record

Method Detail

### getQuery

    public ASG getQuery()

  Return the definition query

### toString

    public java.lang.String toString()

  print debug string

  Overrides:
    `toString` in class `DBRecord`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD